package cn.hanghui.outapi.platform.tenant.service;

import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.device.DeviceModelDto;
import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.device.DeviceModelSearch;
import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.device.DeviceModelVo;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * <p>
 * 设备类型 服务类
 * </p>
 *
 * @author wxg
 * @since 2023-12-27
 */
public interface DeviceModelService{
    Boolean edit(DeviceModelDto dto);
    List<DeviceModelVo> deviceModelList();
    IPage<DeviceModelVo> deviceModelPage(DeviceModelSearch dto);

    Boolean deviceModelDelete(Long deviceModelId);
}
